run:
  timeout: 5m
  tests: true

linters-settings:
  govet:
    enable:
      - shadow
  gocyclo:
    min-complexity: 15
  goconst:
    min-len: 2
    min-occurrences: 3
  misspell:
    locale: US
  lll:
    line-length: 140
  goimports:
    local-prefixes: tercul
  gocritic:
    enabled-tags:
      - diagnostic
      - performance
      - style
    disabled-checks:
      - wrapperFunc
      - ifElseChain
      - octalLiteral

linters:
  disable-all: true
  enable:
    - bodyclose
    - errcheck
    - goconst
    - gocritic
    - gocyclo
    - gofmt
    - goimports
    - gosec
    - gosimple
    - govet
    - ineffassign
    - lll
    - misspell
    - nakedret
    - noctx
    - nolintlint
    - staticcheck
    - stylecheck
    - typecheck
    - unconvert
    - unparam
    - unused
    - whitespace

issues:
  exclude-use-default: false
  max-issues-per-linter: 0
  max-same-issues: 0
